version 2.1.2 -> 2.1.3

Fixes:

- Allow letters as shortcuts (#268570)
- Avoid executing unwanted commands in the console when changing tabs (#301653)
- Ensure that the ViewBib tool opens the correct bibliography file (#301175)
- Correctly display output produced by ConTeXt (#303230)
- Correctly handle text with foreground colour in the tabular wizard (#299410)
- Correctly save and restore the encodings of previously opened files (#304853)
- Fix a problem which causes that projects sometimes cannot be opened correctly (#301808)
- Force termination of Kile when the main window is closed (#299569)

Features:

- Add a completion file for the 'ifplatform' package (Patch by Thomas Braun)
- Add 'Save', 'Save As' and 'Save Copy As' entries to the tab context menus (#249293)
- Add tool tips to structure view entries (Patch by Eugene Shalygin)
- Provide Unicode characters for the symbols in the symbol view (Patch by Olivier Delaune, #159515)


version 2.1.1 -> 2.1.2

Fixes:

- Correctly convert special characters that were typed with caps lock enabled
  into LaTeX. This fix works from KDE 4.3 upwards. (#296123)
- Use 'utf8' instead of 'utf8x' as default encoding (in document templates). It
  should be sufficient in most cases and it is installed by default in LaTeX
  distributions.
- Correctly insert '\c{c}' for the cedilla character (#296006, #289529)
- Use the correct name for some icons. In this way, they can be used even if the
  current icon theme is not Oxygen. (Patch by Pino Toscano)
- Correctly restore VI input mode key settings (#293262)

Features:

- Update 'biblatex.cwl'. Thanks to Denis Bitouzé!


version 2.1 -> 2.1.1

Fixes:
- Restore the behaviour of LaTeX environment completion to what it was in
  version 2.0 (Patch by Holger Danielsson)
- Ensure that Kile can be offered as application to open LaTeX documents in
  Nautilus, for instance (#275438)
- Avoid crashes when closing Kile with two (or more) opened projects (Patch by
  Eugene Shalygin, #289458)
- Ensure that the correct number of errors/warnings/badboxes is reported in
  translated versions of Kile, which notably affected the French version
  (#275700)

Features:
- Add tool tip which explains the available placeholders in the user tag dialog
  (Patch by Felix Mauch)
- Allow to configure whether the directory shown in the console is kept
  synchronized with the document tabs (#265165)


version 2.1 beta 5 -> 2.1

Fixes:
- Fix a potential memory leak related to the parser progress bar
- Fix a crash that occurred when typing "exit" in the embedded console (#263405)
- Improve the wording of the message box which pops up when the user
  wants to create a new project but no project name has been given yet (#263661)
- Correctly handle '.' characters that occur in citation labels (#266670)
- Run the tool 'asymptote' automatically when 'asymptote' figures are present
  in the document (Patch by Felix Mauch, #258352)
- Fix a typo present in the LaTeX markup when inserting a description list
  environment via the 'LaTeX' menu (Patch by Mark  Morschhäuser, #268043)
- Fix some bugs in the tabular wizard (Patch by Felix Mauch)
- Revive the automatic insertion of $ feature (Patch by Dominik Haumann)
- Fix the problem that dead keys are sometimes treated as 'alive' (#269590)
- Avoid crashes when running Kile in a non-English locale (#271910)

Features:
- Make the background colour of the quick preview pane configurable (#265879)
- Add a directory selection button (and the corresponding dialog) which allows
  it to select the default location for projects in a more comfortable way
  (Patch by Felix Mauch, #116670)
- Also add a directory selection button for the TeX documentation (Patch by
  Felix Mauch)
- Allow users to comfortably install custom completion files (Patch by Libor
  Bukata, #265284)
- Add the possibility to copy tables from the clipboard into the tabular
  wizard (Patch by Felix Mauch)
- New CWL file for the 'soul package' (Patch by Thomas Braun, #271688)


version 2.1 beta 4 -> 2.1 beta 5

Fixes:
- Ensure that LaTeX root documents are recognised correctly when Kile is starting up (#233667)
- Don't prepend the base directory to absolute file names returned by 'grep' (#234235)
- Fix some crashes in the find-in-files dialog
- Fix problems that could occur when using custom tools in combination with a translated GUI (#224130)
- Make the 'smart new line' feature respect custom indentation (#226161)
- Restore the master document setting (for single files) when Kile is starting up (#222029)
- Correct the tool tip for the symbol panel in the side bar (Patch by Christian Herzberg)
- Fix the problem that the LaTeX root icon isn't shown for project items if they aren't opened
- Fix problems related to opening files from the file browser widget (#222325)
- Correctly split strings containing line breaks in the log widget (#237885)
- Fix some bugs related to the new-document wizard (#238544)
- Correct the problem of changing the focus when auto-save is triggered (#228321)
- Rename the 'BibTeX' and 'Biblatex' actions in the LaTeX menu to avoid confusion within the shortcut configuration dialog (#184847)
- After a manual invocation, abbreviations are now replaced immediately even if longer matches are possible (#238897).
- Add icons for the 'Split Cells' and 'Join Cells' actions in the tabular dialog (#237897)
- Add missing fields to 'bibtexentries.rc' (Patch by Martin Weis)
- Add support for the '%absolute_target' keyword, which enables ForwardPDF (with Okular) to work correctly in embedded mode (#245483)
- Reduce GUI flickering a little more
- Ensure that the $PATH variable is respected when tools are launched (#204397)
- Fix a problem related to opening non-existing files in projects which can freeze the GUI (#241181)
- Fix the bug which causes keyboard shortcuts to change when switching between documents (#247646)
- Correct a bug which results in references to appear as undefined (#241730)
- Fix restoring of user-defined LaTeX commands and environments (#257463)
- Fix a crash which could occur after clicking on 'Ok' in the shortcut configuration dialog when at least one project is open (#257318)

Features:
- Make it configurable whether the splash screen is shown or not (#244909)
- Add an embedded viewer configuration for the 'ForwardPDF' tool
- Add completion files for 'units.sty' and 'nomencl.sty' (Patch by Andreas Weder)
- Update 'todonotes.sty' (2009/12/25) (Patch by by Andreas Weder)
- Make the document tabs movable (Initial patch by Nicolas Pavillon, #200890)
- New CWL file for the 'fancyref' package


version 2.1 beta 3 -> 2.1 beta 4

Fixes:
- Set up the project archive feature correctly (#216964)
- Ensure that toolbar customizations are correctly loaded on start-up (#216957)
- Force termination of Kile when the main window is closed. (#220343)
- Implement bindings for the commands "w", "wa", "wq", "wqa", "q" of KatePart's VI input mode (#223701)
- Recognize the 'table*' environment during parsing (Patch by Andreas Wenning)
- Ensure that the Kile window is raised to the top during inverse search
- Add SyncTeX support (Patch by Christian Trippe, #226718)
- Fix a typo in the Powerdot template (#225863)
- Fix menu accelerator clashes w.r.t. the find/replace functionality of KatePart (#216980, #222703)
- Add several missing icons
- Fix problems related to the auto-save functionality
- Optimize the parsing of documents by only doing it when it is required
- Ensure that the tool tips showing the document names are set correctly on all tabs (#205245)
- Insert '\ss{}' and '\SS{}' instead of '\ss' and '\SS'
- Fix the search for multi-line math groups 
- Fix the detection of the correct file during LaTeX output parsing when files are included with '\Input' or '\include' (#223200)
- Track the current editor highlight schema in the configuration dialog (Patch by Dominik Haumann, #227141)

Features:
- Add support for some currently missing AMS LaTeX environments
- New CWL files for the 'Cancel', 'Gauss' and 'Mathtools' packages
- Add a progress bar showing parsing progress to the status bar
- Allow to choose a preview tool for the quick preview feature of math groups


version 2.1 beta 2 -> 2.1 beta 3

Fixes:
 - Restore find-in-project functionality (#205087)
 - Use correct version string in project files
 - Lots of code completion improvements (#193583, #209089, #209850)
 - Fix crash related to the customizable file inclusion feature (#210217)
 - Add SeaMonkey as browser for the 'ViewHTML' tool (Ubuntu bug 429336)
 - Some improvements to the scripting functionality (missing bindings)
 - Fix the labelling of the '\tfrac' insertion action (#212500)
 - Fix crash related to the parsing of LaTeX output logs (#212224)
 - Fix problems related to the handling of LaTeX environments (#214740)
 - Make the output view use KDE colours (#215389)

Features:
 - Allow newline characters (%n) and cursor position (%C) in the expansion text of abbreviations
 - Save and restore editor settings for regular documents and for projects (requires KDE libraries 4.4).
 - Add a sidebar tab which allows to display CWL word lists
 - Improve the graphics inclusion dialog


version 2.1 beta 1 -> 2.1 beta 2

Fixes: 
 - ask the user if the tool list should be reloaded, needed due to the switch
   to KDE4
 - remove some uncommong utf8 settings from Quickdocument Wizard, make the
 default encoding utf8x (#204189)
 - make the ALT+p shortcut unique (ubuntu #404879)
 - make section jumping faster for unchanged documents (thanks to Rafał Nowak)
 - fix %M support in user tags (thanks to Amaro Rica da Silva)
 - use the KDE system colours for displaying entries in the log widget (#185529)
 - don't set empty highlightning, work around for katepart bug (#196791)
 - add biblatex file suffixes

Features:
 - add Evince as PDF, PS, DVI Viewer
 - Nicer "Open File" widget (thanks to dhaumann)
 - biblatex cwl files, one for users and one for authors

version 2.0 -> 2.1 beta 1

Bigger Features:
 - port code to KDE4 and QT4, this includes the move from DCOP to DBUS interface
 - Fix something like 70 bugs at least
 - move from old autoconf and friends to the cmake buildsystem
 - change source code layout
 - complete rewrite of the TabularDialog
 - adapt the tools, removed kghostview,kdvi,kpdf, use okular instead,
   add draft mode for *tex tools, added context and xelatex tools.
 - reworked toolbars for the tools
 - porting of kile to Windows has started
 - better LaTeX syntax highlightning
 - New way of generating symbols for the symbolview. Now also utf8 symbols can
   be included and text in utf8 as a comment. The old method with tex files and
   gesymb has been removed. The new way needs a xml file as input and gesymb-ng found in src/data/symbols-ng

Features:
 - Lots of added cwl files, also some changes
 - reworked Image Include dialog
 - reworked New Project dialog
 - reworked Tools configuration dialog
 - add biblatex menu as an alternative to the bibtex menu
 - ddd some more templates
 - on-the-fly special-character-to-latex-code substitution

version 2.0.3 -> 2.0.4svn 

Fixes:
 - fix rare crash
 - Create "~/.lyx" if it does not exist (Ubuntu bug #324722)

Syntax:
 - bibtex: add new biblatex types, allow numbers in key names

version 2.0.2 -> 2.0.3

Fixes:
 - Add {} to special characters in symbolview for easier handling (#170144)
 - Don't blend user defined symbols because we don't know how they look like
 - Misplaced cursor with intelligent double quotes and selections (#174937) 
 - Fixed a case where the autocompletion dies (#164231,#174003)
 - Make the statistics pane work also for non latex files (#173745)
 - Don't report certain log messages as tex errors (#174665)
 - Properly escape the log messages so that also <...> shows up (#175148)
 - some cwl typos  

CWL:
 - Added babel, todonotes (thanks to Salim), glosstex, nicefrac, float,
   fastex (thanks to Fabian Rost)

Syntax:
 - latex: -- fixed corner case where \newcommand got highlighted wrong
 -- highlight alignat and friends correctly

version 2.0.1 -> 2.0.2

Fixes:
 - Insert \item[] in description environments for smart newline (#161658),
 reported and fixed by Job Noorman
 - Fix regression in 2.0.1 inside structure view related to opening files (debian #484146)
 - Fix regression in latexoutputfilter resulting in the wrong file being
reported (#162899)
 - Fix regression in Kile 2.0.x, blend symbols so that they are usable with
   dark themes also (#161153)
 - Don't create 'save' and 'save-as' actions specifically for Kile as they will
   interfere with the corresponding actions from KatePart. Thanks to Mathias
   Soeken for reporting.
 - Also parse class warnings and show them in the Logview, patch by Jeroen Leeuwestein (#169040)
 - Remove not sh-compliant code by requiring a Bash shell for system check (debian #489618)
 - Add a workaround for a bug contained in KatePart 3.x in the 'setEncoding' method, which enforces
   a reload on every change of the encoding (as a consequence the user sees a confusing
   document-modified dialog) (#160258)
 - Make find-in-files work again with anyting else than the "all files" filter (#165636)
 - Minor cwl fixes

Features:
 - cwl file for siunitx (thanks to Dirk Sarpe) and allrunes packages

version 2.0 -> 2.0.1

Fixes:
 - Do all section actions on the whole section (#154272)
 - Fix possible crash due to unchecked index bounds
 - Some i18n fixes (#153371)
 - cwl files: fix wrong commands with \left and \right and make them more complete
 - Typos in symbols (#158749)
 - Sync kile project on disk before archiving
 - Add figure* to the structure view also (#151743)
 - Fix completion for multiple citations/references (#152766)
 - Fix crash at template handling, reported and fixed by Vincenzo Di Massa
 - Rename some cwl files so that they not only differ by case (#158600)
 - Search also in $BIBINPUTS and $TEXINPUTS paths if opening files from the
   structure view
 - Add missing package definitions to some symbols from the misc-text pane
 - Allow spaces in the name of images in the includegraphics dialog (#161101)
 - Don't recompile forever if some file timestamps are in the future (#121956)
 - Fix the "autocompletion dies" bug (#155044) and also (#160555)

Features:
 - Add \newlength as a variation of newcommand
 - Add url.cwl, svninfo.cwl, svn-multi.cwl, yfonts.cwl, virginialake.cwl
 - Allow ":" and "-" in citation keys, important for codecompletion

Syntax:
 - Highlight & and @{} in tabular like environments
 - Ignore Noweb blocks

version 2.0beta2 -> 2.0

Fixes:
 - Added some new logic to really disable all debug output if --disable-debug
   is given to configure, should make kile faster

Features:
 - New documentation kile-remote-control.txt
 - Added new DVItoPDF config Modern which calls dvipdfmx instead of dvipdfm,
set Modern as default

version 2.0beta1 -> 2.0beta2

Fixes:
 - Polishing Quickdocumentdialog
 - More agressive recompiling
 - Cwl fixes
 - Mathsymbol commands were biased with one, some symbol cleanups (#148855)
 - Don't make system check if the user has defined a master document (#148800)
 - Don't offer eqnarray in the latex menu (but we still support it for math environment completion etc.) (#101583)
 - Consider also files located in $TEXINPUTS and $BIBINPUTS paths for codecompletion. (#149652)

Features:
 - Call asymptote if needed on latex run 

version 1.9.3 -> 2.0beta1

Fixes:
 - More than 50 bugs have been closed
 - Symlinked files and directories in combination with inverse search
 - Autosave fix: If a file is two autosave cycles not writable we will skip the file until it is writeable again.
 - Fix starting directory for add Files. Take the project's basedir
 - Fix bug in tabular wizard, when breaking some multicolumn cells
 - Remove selected text in any case if the user insert "
 - Fix bug where environments were completed which should not have been completed.
 - Textcolor bug in tabular wizard
 - Only use special quotes if we have a tex file
 - Fix bug in lyxserver when the filesystem in the users home directory does not support FIFOS
 - Use the $PATH variable to search for the tools
 - Remove our own "not perfectly" working spellchecker implementation, now the katepart spellchecker is always in charge
 - Call "Refresh Strcuture" after changing the encoding  
 - Grep for \newenvironment and add them to the completion lists
 - Smart newline now also recognizes comment lines

Bigger Features:
 - Add auto completion in abbreviation mode:
	a) All abbreviations can be shown in the sidebar (configurable)
	b) All abbreviations from a local abbreviations list 'kile-abbrevs.cwl' are
	editable. This file can be found in the local application path of Kile.
	c) Editable abbreviations are marked with a star.
	d) It is possible to add new abbreviations or delete existing ones.
	e) A new auto mode to expand abbreviations was added (configurable
  of course). If an abbreviation is followed by a space or a punctuation
  symbol, it is immediately expanded without further user commands.
 - Added a set of commands to work directly with sectioning on the structure view: 
	copy, cut, paste, select, delete, comment, quick preview 
 - New Symbolview which contains:
	- Most frequently used symbol list
	- Complete revamped symbol list with more items (nearly 1000) and more
	  categories
	- Show command and depending packages in the tooltip
	- Send a warning in the logwidget if a package is not included
	- By pressing CTRL and SHIFT while inserting an item one gets {} or $$
	  around the inserted command
 - Added a scripting interface to kile
 - A big bunch of new cwl files, mostly from kile users , so kile has now more
   than 80 :)
 - Add support for TexLive 2005/2007
 - Preview of mathgroups from Mathias Soeken (with some additions and
 extensions by Holger Danielsson)

Smaller Features:
 - New tool entries for:
	- Asymptote
	- PDFLaTeX draftmode (available in PDFTeX from TeXLive 2007)
	- Bibtex 8bit Version
	- Added Lilypond tool (4 variants), icon will follow
	- Renamed LaTeXtoDocBook to DBLaTeX , use 
	  programm dblatex for that and also introduced 4 variants of it.
	- Renamed LaTeXtoHTML to LaTeX to Web and added tex4ht variants (to XML, to HTML 
	  and to MathML), but keeping the latex2html tool also
	- Added a variant of quickbuild , do only LaTeX
	- Added DVItoPDF variant, Landscape and "Black and White"
	- Moved Archive tool from type none to Archive and also added much more
	  configs, now users can also alter them
	- Changed default bibtex viewer for new kile users to kbibtex
	- added gbib, jabref, kbib to bibtexviewers
 - Recursive parsing of footnote command
 - New citeViewBib action, which asks the bibtex viewer (currently only
   kbib) to send marked references. Thanks to Thach Nguyen for the
   initial patch
 - New function "Save Copy as..."
 - Revamped the new-file dialog.
 - Add support for templates types other than LaTeX.
 - Use the extension ".kileicon" for template icon files.
 - Added lyx:paste command in kile's lyxserver
 - Add Readme, Readme.cwl and Building-with-cmake.txt
 - Show todo/fixme tasks in structure view
 - Enhance completion configuration dialog usability and support local directories for completion files
 - Merge labels and sections in document structure view as user configurable option
 - First preliminary support for the beamer package
 - Select a single LaTeX command with CTRL+MouseDblClick-left
 - Autocomplete $ to $$
 - Move cursor out of braces after selecting from a keylist
 - Make include commands configurable through our nice latexcommand menu
 - Assign the keyboard focus to the active text view after Kile has started up
 - FindInFiles dialog can be moved into the background
 - Add additional double quotes for babel supported languages (czech, icelandic)
 - Highlighting of Section Titles as bold
 - Add emacs-like delete-to-end-of-line command
 - Removed metapost view in the sidebar, the commands can be accessed via
   kile's dictionary mode
 - Sort items in references list box
 - Some new toolbar icons
 - Added more optional fields in the predefined bibtex entries, patch from
   Martin Weis <martin.weis.newsadress (a) gmx.de>
 - Added CMake build support.
 - Add scripting support.
 - We always remember now the current most top item of the structure view and restore it after an update.
 - Add new actions gotoNextSection() and gotoPrevSection()
 - Quote replacement should not happen inside verbatim/verb environment
 - Add new actions gotoNextParagraph() and gotoPrevParagraph()
 - Fix rebuild structureview if changing the expansion level
 - Add mathgroup preview to the popup menu (right mouse button), where either a selection or a mathgroup is shown
 - More tools in kile's system check
 - Add drag-and-drop functionality 
 - Remember MakeIndex checkbox settings in kileprojectdlg
 - Add autoref command to std. ref. commands

version 1.9.2-> 1.9.3
Fixes:
 - Recognize escaped chars in \newcommand. (#132899)
 - Use KPDF as embedded viewer for quick preview, because KPDF can remember current settings. (#129177)
 - Bugs in tabular wizard, when merging, breaking and merging again some cells
 - Quote replacement should not happen inside verbatim/verb environment (#133112)
 - Fix bug in tabular wizard, when breaking some multicolumn cells
 - Don't use default permissions for backup file (CVE CAN-2005-1920 also applies to kile)
 - Fix bug in syntax highlighting: mathmode in optional parameter (#134146)
 - Allow tools with brackets in the configuration string also in sequence tools, fixed also the crash which hid the bug. (#134605)
 - One fix in latex-document-cwl and color.cwl
 - Fix crash when adding a file to a project (with no open documents) which contains an undefined reference (#135575)
 - Improve the logic for closing environments (#134793)
 - Don't treat \\[foo] as a math environment (#137131)
 - Remove selected text also if we insert a " (#137272)

Feature:
 - Prepared the latex syntax file for beamer commands

version 1.9.1 -> 1.9.2
Fixes:
 - Add autoref command to standard reference commands (#130037)
 - Remember the setting of MakeIndexOptions checkbox in the project settings
 dialog. (debian #337550)
 - Added utf-8 and other encodings to the quickdocument dialog. (#131402)  
 - Make the "New Tool" dialog box big enough. (#132425)
 - Check if masterdocs in kilepr files exist, should fix some problems with upgrades from kile 1.8.
 - Searching for environments in Edit functions improved.
 - Take array as math environment instead of tabular in Configure->Latex Environments.
 - Don't crash if a user changes the icon of a toolbar item. (debian #382317)
 - Allow a few more punctuation in codecompletion of citation keys. (#130148)
 - Remember last working directory in 'find in files' dialog. (debian #359932)
 - Tabular wizard should insert all entered elements. (#132736)
 - Only autosave files which have been modified.
 - Delete comma of last bibtex entry if Bibliographie->Clean is called. (#129499)
 - Quick Preview fails if graphics are included in selection (#126019)

version 1.9.0 -> 1.9.1
Fixes:
 - Restore support for KDE 3.2.x.
 - tex files starting with numbers can now also used for "Forward DVI". (#124613)
 - now we respect the default project location set by the user also in projectOpen(). (#124099)
 - don't restore the line position if the file is already open. (#125175)
 - honor users who want to cancel the close request to embedded parts. (namely kbibtex)
 - fix ViewBib, if we support $BIBINPUTS for compilation we should also do it for viewing. We now also check in all paths in BIBINPUTS for an bib file. (#125133)
 - if "show labels" is disabled in structureview, we should nevertheless gather them for codecompl. and undefined ref.
 - don't fake pressed buttons, now the log message button does not looked pressed when you start kile. (#124098)
 - only add an trailing slash to the default project location if we need one.
 - hide the latex menu when we don't have docs open.
 - don't see unstarred env. as closing for starred. (#120509)
 - we are now much more carefully if the autosaving has succeded. We now warn if we can't autosave and don't overwrite backups with empty backups. (#125975)
 - only use special double quotes if no slash is in front of the cursor. (#127813)

Features:
 - Add the possibility to use bullets in user tags via a new placeholder %B.
 - Colour bullets so that they can be spotted easily.
 - new cwl file for the textcomp and import package.
 - we now highlight TODO, FIXME in comments. (only if they are not in normal text)
 - added Readme.MacOSX

[...]

version 1.6.3 -> 1.7a3
major:
 - smart LaTeX: rerun automatically when needed, runs BibTeX and/or MakeIndex if required
 - a more flexible and powerful tool system
 - automatic completion of LaTeX commands
 - access to teTeX help system
 - system configuration checker (Settings->System Check), detects installation errors, missing apps and wrong Kile settings

minor:
 - BibTeX files are now parsed as well, references in a BibTeX file can be used in \cite autocompletion now as well
 - user defined commands (using \newcommand) are added to the autocompletion list
 - improved structure view, remembers its state, it doesn't collapse anymore after a save
 - find in files dialog
 - several LaTeX specific editing options (close environment for example)
 - convert accented letters (like Ë) to ASCII TeX commands (like \"E) and vice versa
 - new side and bottom bars
 
version 1.6.2 -> 1.6.3
 - fix a crash when opening/closing projects with common files
 - warn if user tries to overwrite an existing file in the "New Project" dialog
 - make usertags/tools shortcuts configurable
 - place cursor after a bracket when inserting a usertag 
 - polished up the "New File" wizard, the size and selected template are now remembered, an option to start the Quick Start wizard after selecting an empty template is also added
 - double clicking on a non-existent file results in a dialog requesting the creating of this file, instead of just an error

version 1.6.1 -> 1.6.2
 - bugfixes
 
version 1.6 ->1.6.1
 - bugfixes
 
version 1.5.2 -> 1.6
major:
- new editor (katepart)
- project management
minor:
- auto-complete environments
- statistics dialog for document (word count)
- can open multiple files in one go (using the open file dialog or the sidebar)
- launch you favorite BibTeX editor using the bilbiographies found in your document
- interaction with gBib and pyBliographer
- restore files and projects on start up (optional)
- checking whether or not the document is a LaTeX root before compile is optional now
- structure view: jump to line AND column, allow multiple labels on one line, allow space between \struct and { }, don't parse
  structure elemented that are out-commented
- configurable shortcuts to focus log/messages, output, konsole, editor views (resp. ctrl+alt+m,o,k,e)
- more advanced \includegraphics dialog (thx Michael Margraf)
- check for modified on disc
- highligthing inside math environments
- allow user to set PS-PDF, DVI-PS, PDF-PS, BibTeX, makeindex commands

version 1.5 -> 1.5.2 :
- prompt user when trying to run LaTeX on a document which isn't a document root
- better syntax highlighting (deals with \verb and verbatim environment)
- summary of compilation results after running LaTeX
- improved "clicking on errors in the log file jumps to corresponding line"
- user can define an arbitrary number of user tools/tags.
- autosave
- added an Output view, theOutput view is the location for the raw
  output of the shell processes (latex,dvips, etc.)
- more error messages/warnings when the user tries to do compile/view
  non-existing/untitled documents
- added templates support (user can select a template when creating a new
  file, user can create templates from existing documents).
- added a stop button, (La)TeX can now be stopped while compiling
- added a Toolbars submenu, toolbars can be hidden now
- output of compilations remains visible, log file can be shown
  on request
- inverse search now also works for documents whos name starts with a number
- more flexible command syntax, instead of having latex and pdflatex as
  commands, one can use
  latex %S.tex or make %S.dvi
  now

version 1.4 -> 1.5 :
- added metapost support
- added "user commands" menu
- added ability to change or add gnuplot commands before plotting with the Gnuplot frontend
- fixed the bug for files with accents in the Kite file selector
- added the ability to show the line numbers and to choose the colors for the editor

version 1.32 -> 1.4 :
- added dvi and postcript embedded viewers (based on kdvi and kghostview kparts)
- spell checking is now possible for the selected paragraphs and not only for all the document
- overwrite an existing file must now be confirmed
- the bug about the "report" document class in the "quick document dialog" has been fixed

version 1.31 -> 1.32 :
- the user can set the encoding character of the file with a combo box included in the Kite file selector.
- two color schemes are available for the editor (Black on White/White on Black)
- improved the "Multiple Function" dialog of the "Gnuplot frontend"

version 1.3 -> 1.31 :
- new dialog box for the "ref" and "pageref" tags (the user can select one of the existing labels)
- the "--unique" option is now used for the "Kdvi Forward Search" command
- the bug about the "report" class in the "Quick Start" wizard has been fixed
- the GnuPlot front end code has been cleaned (only QString are used instead of string)

version 1.3beta -> 1.3 :
- fixed some minor bugs
- new user manual
- added more options for the "Quick Start" wizard

version 1.2 -> 1.3beta :
- the "label" tags written on the same line than a "section" tag are now detected
- added a "find next" command
- improved the "replace" command
- improved the "edit user menu" command (ability to insert several lines)
- added more options for the "quick start", "tabular" and "array" wizards
- added new LaTeX tags (maketitle, footnote, tableofcontents, ref, pageref)
- added DCOP support (no new instance when kile is already running - Kdvi "inverse search" should work better)

version 1.1 -> 1.2 :
- new panel (file selector, structure view, mathematical symbols and the greek letters)
- no more embedded viewers
- classical order for the "recent files" list
- added shortcuts for the "item" tag and icons for the "enumerate" and "itemize" environments
- added info about the size of the .eps file while using \includegraphics{}
- the Konsole is now synchronized with the current document
- added ability to remove the optional fields of a .bib file. ("Clean" command)
- added "watch file" mode for the "quick build" command (the viewers are not launched)

version 1.0 -> 1.1 :
- added toolbars configuration
- added new modes for the 'Quick build' command
- user can now print the ps/pdf file directly with kite
- added a wizard for the 'Tabbing' environment
- by typing %myenvironment in the 'LaTeX content' field of an 'user menu', Kite inserts directly this code :
\begin{myenvironment}

\end{myenvironment}
- fixed some minor bugs
